import { DeviceResponseType, IDevice } from "../Devices/IDevice";
import { ResponseResult } from "../FieldChangeResult";
import { IStatesHistoryService, StateHistoryErrorCode } from "./IStatesHistoryService";
import { AvailableState, StateDataResponse, StateInterval } from "./StatesHistory";
export declare class StatesHistoryService implements IStatesHistoryService {
    static readonly ServiceName: string;
    private _connection;
    constructor();
    GetServiceName(): string;
    GetStatesByIntervalAsync<T>(device: IDevice, channel: number, responseType: DeviceResponseType, stateFrom: StateInterval, limit: number, offset: number): Promise<StateDataResponse<T> | ResponseResult<StateHistoryErrorCode>>;
    GetStatesByIntervalAsync<T>(deviceGuid: string, channel: number, responseType: DeviceResponseType, stateFrom: StateInterval, limit: number, offset: number): Promise<StateDataResponse<T> | ResponseResult<StateHistoryErrorCode>>;
    GetAvailableStatesAsync(): Promise<ResponseResult<StateHistoryErrorCode> | AvailableState[]>;
    IsFunctionalitySupportedAsync(): Promise<boolean>;
    /**
     * Alow to convert object eq. {key1: value1, key2:value2} to Map
     * T - map key type (type of names of keys, eq. key1)
     * K - map value type (type of values that contains given data)
     * @param data object
     */
    protected ParseObjToMap<T, K>(data: any): Map<T, K>;
}
