export var UpdateStatus;
(function (UpdateStatus) {
    UpdateStatus[UpdateStatus["DownloadingFailure"] = -5] = "DownloadingFailure";
    UpdateStatus[UpdateStatus["InstallationStopped"] = -4] = "InstallationStopped";
    UpdateStatus[UpdateStatus["InstallationError"] = -3] = "InstallationError";
    UpdateStatus[UpdateStatus["IncompatiblePackage"] = -2] = "IncompatiblePackage";
    UpdateStatus[UpdateStatus["Error"] = -1] = "Error";
    UpdateStatus[UpdateStatus["OK"] = 0] = "OK";
    UpdateStatus[UpdateStatus["DownloadingPackage"] = 1] = "DownloadingPackage";
    UpdateStatus[UpdateStatus["CheckingPackage"] = 2] = "CheckingPackage";
    UpdateStatus[UpdateStatus["PreparingForUpgrade"] = 3] = "PreparingForUpgrade";
    UpdateStatus[UpdateStatus["Upgrading"] = 4] = "Upgrading";
    UpdateStatus[UpdateStatus["MovingData"] = 5] = "MovingData";
    UpdateStatus[UpdateStatus["Reloading"] = 6] = "Reloading";
    UpdateStatus[UpdateStatus["Upgraded"] = 7] = "Upgraded";
})(UpdateStatus || (UpdateStatus = {}));
export var UpdateState;
(function (UpdateState) {
    UpdateState[UpdateState["WaitingForUser"] = 1] = "WaitingForUser";
    UpdateState[UpdateState["Downloading"] = 2] = "Downloading";
    UpdateState[UpdateState["Unpackaging"] = 3] = "Unpackaging";
    UpdateState[UpdateState["CheckingApplicability"] = 4] = "CheckingApplicability";
    UpdateState[UpdateState["MigratingData"] = 5] = "MigratingData";
    UpdateState[UpdateState["CreatingBackup"] = 6] = "CreatingBackup";
    UpdateState[UpdateState["Deploying"] = 7] = "Deploying";
    UpdateState[UpdateState["Installing"] = 8] = "Installing";
    UpdateState[UpdateState["Removing"] = 9] = "Removing";
    UpdateState[UpdateState["Error"] = 10] = "Error";
    UpdateState[UpdateState["ReadyToDownload"] = 11] = "ReadyToDownload";
    UpdateState[UpdateState["PreparingSystem"] = 12] = "PreparingSystem";
    UpdateState[UpdateState["CheckingPackageIntegrity"] = 13] = "CheckingPackageIntegrity";
    UpdateState[UpdateState["CheckingIntegrity"] = 14] = "CheckingIntegrity";
    UpdateState[UpdateState["UndoingInstallation"] = 15] = "UndoingInstallation";
    UpdateState[UpdateState["Installed"] = 16] = "Installed";
})(UpdateState || (UpdateState = {}));
export var UserInput;
(function (UserInput) {
    UserInput[UserInput["Ignore"] = 0] = "Ignore";
    UserInput[UserInput["Cancel"] = 1] = "Cancel";
    UserInput[UserInput["Install"] = 2] = "Install";
})(UserInput || (UserInput = {}));
export class UpdateProgressInfo {
    constructor() {
        this.UpdatedResourceName = "";
        this.Percentage = 0;
        this.Status = UpdateStatus.Error;
        this.UpdateNumber = 1;
        this.AvailableUpdates = 1;
    }
}
export var UpdateErrorCode;
(function (UpdateErrorCode) {
    UpdateErrorCode[UpdateErrorCode["DeviceIsUpToDate"] = 0] = "DeviceIsUpToDate";
    UpdateErrorCode[UpdateErrorCode["CannotFindDevice"] = 1] = "CannotFindDevice";
    UpdateErrorCode[UpdateErrorCode["UnsupportedApiVersion"] = 2] = "UnsupportedApiVersion";
    UpdateErrorCode[UpdateErrorCode["UnsupportedDevice"] = 3] = "UnsupportedDevice";
    UpdateErrorCode[UpdateErrorCode["CannotGetFirmwareVersion"] = 4] = "CannotGetFirmwareVersion";
    UpdateErrorCode[UpdateErrorCode["CannotGetUpdates"] = 5] = "CannotGetUpdates";
    UpdateErrorCode[UpdateErrorCode["CannotProcessUpdate"] = 6] = "CannotProcessUpdate";
    UpdateErrorCode[UpdateErrorCode["UpdateActionsNotSupported"] = 7] = "UpdateActionsNotSupported";
    UpdateErrorCode[UpdateErrorCode["UnsupportedExtensionVersion"] = 8] = "UnsupportedExtensionVersion";
    UpdateErrorCode[UpdateErrorCode["UpdatesPartiallyInstalled"] = 9] = "UpdatesPartiallyInstalled";
})(UpdateErrorCode || (UpdateErrorCode = {}));
//# sourceMappingURL=IUpdatesService.js.map